- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Notify

## Functions
Evas_Object * | elm_notify_add (Evas_Object *parent)
| Add a new notify to the parent. More...
void | elm_notify_parent_set (Evas_Object *obj, Evas_Object *parent)
| Set the notify parent. More...
Evas_Object * | elm_notify_parent_get (const Evas_Object *obj)
| Get the notify parent. More...
void | elm_notify_timeout_set (Evas_Object *obj, double timeout)
| Set the time interval after which the notify window is going to be hidden. More...
double | elm_notify_timeout_get (const Evas_Object *obj)
| Return the timeout value (in seconds) More...
void | elm_notify_allow_events_set (Evas_Object *obj, Eina_Bool allow)
| Sets whether events should be passed to by a click outside its area. More...
Eina_Bool | elm_notify_allow_events_get (const Evas_Object *obj)
| Return true if events are allowed below the notify object. More...
void | elm_notify_align_set (Evas_Object *obj, double horizontal, double vertical)
| Set the alignment of the notify object. More...
void | elm_notify_align_get (const Evas_Object *obj, double *horizontal, double *vertical)
| Get the alignment of the notify object. More...
#define | elm_obj_notify_timeout_set(timeout) ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_TIMEOUT_SET), EO_TYPECHECK(double, timeout)
| Set the time interval after which the notify window is going to be. More...
#define | elm_obj_notify_timeout_get(ret) ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_TIMEOUT_GET), EO_TYPECHECK(double *, ret)
| Return the timeout value (in seconds) More...
#define | elm_obj_notify_allow_events_set(allow) ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_ALLOW_EVENTS_SET), EO_TYPECHECK(Eina_Bool, allow)
| Sets whether events should be passed to by a click outside. More...
#define | elm_obj_notify_allow_events_get(ret) ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_ALLOW_EVENTS_GET), EO_TYPECHECK(Eina_Bool *, ret)
| Return true if events are allowed below the notify object. More...
#define | elm_obj_notify_align_set(horizontal, vertical) ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_ALIGN_SET), EO_TYPECHECK(double, horizontal), EO_TYPECHECK(double, vertical)
| Set the alignment of the notify object. More...
#define | elm_obj_notify_align_get(horizontal, vertical) ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_ALIGN_GET), EO_TYPECHECK(double *, horizontal), EO_TYPECHECK(double *, vertical)
| Return the alignment of the notify object. More...

## Detailed Description

Display a container in a particular region of the parent(top, bottom, etc). A timeout can be set to automatically hide the notify. This is so that, after an evas_object_show() on a notify object, if a timeout was set on it, it will automatically get hidden after that time.

Signals that you can add callbacks for are:

- "timeout" - when timeout happens on notify and it's hidden
- "block,clicked" - when a click outside of the notify happens

This widget inherits from The Elementary Container Class, so that the functions meant to act on it will wor work for mapbuf objects:

- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

Default content parts of the notify widget that you can use are:

- `"default"` - The main content of the notify

Notify example show usage of the API.

## Macro Definition Documentation

#define elm_obj_notify_align_get | ( |  | horizontal,
|  |  | vertical
| ) |  | ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_ALIGN_GET), EO_TYPECHECK(double *, horizontal), EO_TYPECHECK(double *, vertical)

Return the alignment of the notify object.

Since
  1.8

Parameters

  [out] | horizontal |
  [out] | vertical |

See Also
  elm_notify_align_get

Referenced by elm_notify_align_get().

#define elm_obj_notify_align_set | ( |  | horizontal,
|  |  | vertical
| ) |  | ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_ALIGN_SET), EO_TYPECHECK(double, horizontal), EO_TYPECHECK(double, vertical)

Set the alignment of the notify object.

Since
  1.8

Parameters

  [in] | horizontal |
  [in] | vertical |

See Also
  elm_notify_align_set

Referenced by elm_notify_align_set().

#define elm_obj_notify_allow_events_get | ( |  | ret | ) | ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_ALLOW_EVENTS_GET), EO_TYPECHECK(Eina_Bool *, ret)

Return true if events are allowed below the notify object.

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_notify_allow_events_get

Referenced by elm_notify_allow_events_get().

#define elm_obj_notify_allow_events_set | ( |  | allow | ) | ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_ALLOW_EVENTS_SET), EO_TYPECHECK(Eina_Bool, allow)

Sets whether events should be passed to by a click outside.

Since
  1.8

Parameters

  [in] | allow |

See Also
  elm_notify_allow_events_set

Referenced by elm_notify_allow_events_set().

#define elm_obj_notify_timeout_get | ( |  | ret | ) | ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_TIMEOUT_GET), EO_TYPECHECK(double *, ret)

Return the timeout value (in seconds)

Since
  1.8

Parameters

  [out] | ret |

See Also
  elm_notify_timeout_get

Referenced by elm_notify_timeout_get().

#define elm_obj_notify_timeout_set | ( |  | timeout | ) | ELM_OBJ_NOTIFY_ID(ELM_OBJ_NOTIFY_SUB_ID_TIMEOUT_SET), EO_TYPECHECK(double, timeout)

Set the time interval after which the notify window is going to be.

Since
  1.8

Parameters

  [in] | timeout |

See Also
  elm_notify_timeout_set

Referenced by elm_notify_timeout_set().

## Function Documentation

Evas_Object* elm_notify_add | ( | Evas_Object * | parent | ) |

Add a new notify to the parent.

Parameters

  parent | The parent object

Returns
  The new object or NULL if it cannot be created

void elm_notify_align_get | ( | const Evas_Object * | obj,
|  | double * | horizontal,
|  | double * | vertical
| ) |  |

Get the alignment of the notify object.

Parameters

  obj | The notify object
  horizontal | The horizontal alignment of the notification
  vertical | The vertical alignment of the notification

See Also
  elm_notify_align_set()

Since
  1.8

References elm_obj_notify_align_get.

void elm_notify_align_set | ( | Evas_Object * | obj,
|  | double | horizontal,
|  | double | vertical
| ) |  |

Set the alignment of the notify object.

Parameters

  obj | The notify object
  horizontal | The horizontal alignment of the notification
  vertical | The vertical alignment of the notification

Sets the alignment in which the notify will appear in its parent.

Note
  To fill the notify box in the parent area, please pass the `ELM_NOTIFY_ALIGN_FILL` to `horizontal`, `vertical`.

Since
  1.8

References elm_obj_notify_align_set.

Eina_Bool elm_notify_allow_events_get | ( | const Evas_Object * | obj | ) |

Return true if events are allowed below the notify object.

Parameters

  obj | the notify object

See Also
  elm_notify_allow_events_set()

References elm_obj_notify_allow_events_get.

void elm_notify_allow_events_set | ( | Evas_Object * | obj,
|  | Eina_Bool | allow
| ) |  |

Sets whether events should be passed to by a click outside its area.

Parameters

  obj | The notify object
  allow | EINA_TRUE If events are allowed, otherwise not

When true if the user clicks outside the window the events will be caught by the others widgets, else the events are blocked.

Note
  The default value is EINA_TRUE.

References elm_obj_notify_allow_events_set.

Evas_Object* elm_notify_parent_get | ( | const Evas_Object * | obj | ) |

Get the notify parent.

Parameters

  obj | The notify object

Returns
  The parent

See Also
  elm_notify_parent_set()

void elm_notify_parent_set | ( | Evas_Object * | obj,
|  | Evas_Object * | parent
| ) |  |

Set the notify parent.

Parameters

  obj | The notify object
  parent | The new parent

Once the parent object is set, a previously set one will be disconnected and replaced.

double elm_notify_timeout_get | ( | const Evas_Object * | obj | ) |

Return the timeout value (in seconds)

Parameters

  obj | the notify object

See Also
  elm_notify_timeout_set()

References elm_obj_notify_timeout_get.

void elm_notify_timeout_set | ( | Evas_Object * | obj,
|  | double | timeout
| ) |  |

Set the time interval after which the notify window is going to be hidden.

Parameters

  obj | The notify object
  timeout | The timeout in seconds

This function sets a timeout and starts the timer controlling when the notify is hidden. Since calling evas_object_show() on a notify restarts the timer controlling when the notify is hidden, setting this before the notify is shown will in effect mean starting the timer when the notify is shown.

Note
  Set a value <= 0.0 to disable a running timer.
  If the value > 0.0 and the notify is previously visible, the timer will be started with this value, canceling any running timer.

References elm_obj_notify_timeout_set.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:14